Hướng dẫn Fix lỗi Trang này hiện không hoạt động WordPress- ERR_BLOCKED_BY_XSS_AUDITOR

Ngày đăng: 10/08/2017 Chia sẽ bởi: Quang Đạt Chuyên mục: Web Server,Woocommerce,Wordpress Lượt xem: 3863 lượt
Hướng dẫn Fix lỗi Trang này hiện không hoạt động WordPress- ERR_BLOCKED_BY_XSS_AUDITOR
Đánh giá bài viết

Chào các bạn. Hôm nay mình xin hướng dẫn các bạn Fix lỗi Trang này hiện không hoạt động, Mà nguyên nhân chính là lỗi ERR_BLOCKED_BY_XSS_AUDITOR.

Thứ nhất : Mình xin nói sơ qua về lỗi này.

Lỗi này xuất hiện sau khi update bản woocommerce 3.0 .

Sau khi cập nhật WooCommerce thành 3.0, nhấp vào nút Thêm vào giỏ hàng hay cập nhật trang hay 1 số nơi khác tuỳ vào website của bạn dẫn đến một trang lỗi trong Chrome cho biết:

Trang này không hoạt động
Chrome đã phát hiện thấy mã bất thường trên trang này và chặn nó để bảo vệ thông tin cá nhân của bạn (ví dụ: mật khẩu, số điện thoại và thẻ tín dụng).
Hãy thử ghé thăm trang chủ của trang web.
ERR_BLOCKED_BY_XSS_AUDITOR

Đây là một ảnh chụp màn hình:

Trước tiên, Đạt đã xem qua tất cả các tệp khuôn mẫu cần cập nhật bằng cách vào: WooCommerce > Trạng thái Hệ thống > Bản mẫu và thấy rằng tệp woocommerce / single-product / add-to-cart / grouped.php đã lỗi thời (cùng với nhiều file khác).

Và Đạt đã thay thế tệp grouped.php bằng phiên bản WooCommerce mới nhất của tệp đó và trang web đã bắt đầu hoạt động trở lại đúng.

Cần phải có một cách tốt hơn để tùy biến các tệp WooCommerce để bạn không cần phải lo lắng về việc phá trang mỗi khi cập nhật plugin!

Tuỳ biến như thế nào?

Đơn giản thôi. các bạn vào plugin woocommerce. Sau đó, vào coppy thư mục templates và đổi tên nó thành woocommerce . sau đó dán nó vào thư mục themes của mình.

Trường hợp tiếp theo. Nếu bạn cập nhật trang mà lỗi thì bạn tiến hành mở file .htaccess (Apache)

Pass code này vào trong để bỏ qua lỗi này nhé.

</IfModule>
<IfModule mod_headers.c>
Header set X-XSS-Protection “0; mode=block”
</IfModule>

Mình chỉ dùng Apache nên không biết thứ khác. các bạn thông cảm.

Chúc thành công

loading...

Bài viết liên quan